DCOPObjectProxy Class Reference

`#include <dcopobject.h>`

## Public Member Functions

| DCOPObjectProxy ()
| DCOPObjectProxy (DCOPClient *)
virtual | ~DCOPObjectProxy ()
virtual bool | process (const QCString &obj, const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Friends

class | DCOPClient

## Detailed Description

You must use a proxy if you want to dispatch method calls for object IDs which don't have (yet) a corresponding DCOPObject.

This is somewhat like virtual object references in CORBA.

See also
  DCOPObject
  DCOPClient

Author
  Matthias Ettrich ettri.nosp@m.ch@k.nosp@m.de.or.nosp@m.g

Definition at line 352 of file dcopobject.h.

## Constructor & Destructor Documentation

DCOPObjectProxy::DCOPObjectProxy | ( |  | ) |

Creates a new proxy.

Definition at line 250 of file dcopobject.cpp.

DCOPObjectProxy::DCOPObjectProxy | ( | DCOPClient * |  | ) |

Obsolete, do not use.

DCOP clients know about object proxies automatically.

Deprecated:

Definition at line 257 of file dcopobject.cpp.

DCOPObjectProxy::~DCOPObjectProxy | ( |  | ) |

virtual

Destroy the proxy.

Definition at line 264 of file dcopobject.cpp.

## Member Function Documentation

bool DCOPObjectProxy::process | ( | const QCString & | obj,
|  | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData
| ) |  |

virtual

Reimplement this method to dispatch method calls.

This method is called of all proxies if the DCOPClient knows no object with the id `obj`. If the first proxy returns `true`, the DCOPClient will no longer call other proxies.

The object id `obj` may be empty for app-wide function calls no associated with any object.

Parameters

  obj | the id of the object
  fun | is the normalized function signature. Such a signature usually looks like foobar(QString,int). The return type, qualifiers like "const" etc. are not part of the signature.
  data | the received data
  replyType | write the reply type in this string
  replyData | write the reply data in this array

Returns
  true if successful, false otherwise. The default implementation returns always false.

Definition at line 270 of file dcopobject.cpp.

The documentation for this class was generated from the following files:

- dcopobject.h
- dcopobject.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys